lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "eighty/version"

Gem::Specification.new do |spec|
  spec.name          = "eighty"
  spec.version       = Eighty::VERSION
  spec.authors       = ["Wei Tang"]
  spec.email         = ["hi@that.world"]
  spec.license       = "GPL-3.0"

  spec.summary       = "The website generator used by sorpaas."
  spec.description   = "The special-purpose static website generator, with a fixed layout structure, mostly for documentation purpose."
  spec.homepage      = "https://source.that.world/source/eighty"

  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://source.that.world/source/eighty"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
